﻿DROP TABLE IF EXISTS `#__seyret_registry`;
CREATE TABLE `#__seyret_registry` (
  `id` int(11) NOT NULL auto_increment,
  `seyretversion` varchar(15) default NULL,
  `domainalias` varchar(200) default NULL,
  `joomlaholicuserid` varchar(15) default NULL,
  `seyretswfprokey` varchar(15) default NULL,
  `seyretplayerkey` varchar(20) default NULL,
  `seyretpro` tinyint(1) default '0',
  `s3keys` varchar(255) default NULL,
  `stats_day` tinyint(2) DEFAULT NULL,
  `stats_month` tinyint(2) DEFAULT NULL,
  `stats_year` tinyint(2) DEFAULT NULL,
  `stats_week` tinyint(2) DEFAULT NULL,
  `seyretoffline` tinyint(1) DEFAULT NULL,  
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__seyret_permission`;
CREATE TABLE `#__seyret_permission` (
  `id` int(2) NOT NULL auto_increment,
  `jaclname` varchar(50) NOT NULL,
  `jaclvalues` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__seyret_category`;
CREATE TABLE `#__seyret_category` (
  `id` int(11) NOT NULL auto_increment,
  `nestedid` varchar(255) default NULL,
  `parentcat` varchar(255) default NULL,
  `categoryname` varchar(50) default NULL,
  `categorydescription` text,
  `categoryimage` text,
  `published` tinyint(1) default NULL,
  `hit` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `#__seyret_video`;
CREATE TABLE `#__seyret_video` (
  `id` int(11) NOT NULL auto_increment,
  `parentcat` varchar(50) default NULL,
  `parentextracat` varchar(225) default NULL,
  `videotitle` varchar(100) default NULL,
  `videodescription` text,
  `videothumbnail` text,
  `videoaccess` text,
  `videoservertype` varchar(50) default NULL,
  `videoservercode` blob default NULL,
  `addedby` int(11) default NULL,
  `addeddate` datetime default NULL,
  `publishstart` datetime default NULL,
  `publishend` datetime default NULL,
  `published` tinyint(1) default NULL,
  `featured` tinyint(1) default NULL,
  `downloadable` tinyint(1) default NULL,
  `hits` int(11) default '0',
  `votetotal` int(11) default NULL,
  `voteclick` int(11) default NULL,
  `videourl` varchar(255) default NULL,
  `videotags` varchar(255) default NULL,
  `videochannel` int(11) DEFAULT '1',
  `defaultcontentad` text,
  `defaultcontentadlink` varchar(255) default NULL,
  `embedable` tinyint(1) default NULL,
  `commentcount` int(11) NOT NULL DEFAULT '0',
  `duration` varchar(10) default NULL,
  `aspectratio` varchar(10) default NULL,
  `lastclicktime` datetime default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `relatedvideos` (`videotitle`,`videotags`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `#__seyret_channel`;
CREATE TABLE `#__seyret_channel` (
  `id` int(11) NOT NULL auto_increment,
  `ownerid` int(11) default NULL,
  `channeltitle` text,
  `channelimage` text,
  `channelbanner` text,
  `channeldesc` text,
  `opentomembership` tinyint(1) default NULL,
  `opentopublic` tinyint(1) NOT NULL DEFAULT '1',
  `memberslist` text,
  `lockedbyadmin` tinyint(1) DEFAULT '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;






DROP TABLE IF EXISTS `#__seyret_playlist`;
CREATE TABLE `#__seyret_playlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `playlisttitle` varchar(255) DEFAULT NULL,
  `playlistdescription` text,
  `playlistthumbnail` varchar(255) DEFAULT NULL,
  `playlisttags` varchar(255) DEFAULT NULL,
  `opentopublic` tinyint(1) DEFAULT NULL,
  `addeddate` datetime DEFAULT NULL,
  `addedby` int(11) DEFAULT NULL,
  `playlistids` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `#__seyret_comment`;
CREATE TABLE `#__seyret_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `authorname` varchar(100) DEFAULT NULL,
  `authoremail` varchar(50) DEFAULT NULL,
  `authorwebsite` varchar(250) DEFAULT NULL,
  `authorlocation` varchar(150) DEFAULT NULL,
  `commenttitle` varchar(255) DEFAULT NULL,
  `commentbodyraw` text,
  `commentbody` text,
  `authorip` varchar(20) DEFAULT NULL,
  `addeddate` datetime DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `votetotal` int(11) DEFAULT NULL,
  `voteclick` int(11) DEFAULT NULL,
  `spam` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__seyret_channelmembers`;
CREATE TABLE `#__seyret_channelmembers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `channelid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `startdate` datetime DEFAULT NULL,
  `expiredate` datetime DEFAULT NULL,
  `paymentdata` text,
  `approved` tinyint(1) DEFAULT '0',
  `joinmessage` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `#__seyret_flag`;
CREATE TABLE `#__seyret_flag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `flaggeditemid` int(11) DEFAULT NULL,
  `flaggeditemtype` varchar(20) DEFAULT NULL,
  `flaggedby` int(11) DEFAULT NULL,
  `flaggedbyemail` varchar(50) DEFAULT NULL,
  `flaggeddate` datetime DEFAULT NULL,
  `flagreason` text,
  `flagdetails` text,
  `revisiondate` datetime DEFAULT NULL,
  `revisedby` int(11) DEFAULT NULL,
  `revisionresult` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `#__seyret_stats_day`;
CREATE TABLE `#__seyret_stats_day` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) DEFAULT NULL,
  `day` tinyint(2) DEFAULT NULL,
  `month` tinyint(2) DEFAULT NULL,
  `year` tinyint(2) DEFAULT NULL,
  `dailyhit` int(11) DEFAULT NULL,
  `totalhit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



INSERT INTO `#__seyret_registry` VALUES ('1','0.2.9.1','','', '');
INSERT INTO `#__seyret_channel` VALUES ('1','1','','', '', '', '', '1', '|a|', '0');